### Signal

# Peas Engine::load-plugin

#### Declaration

    void
    load_plugin (
      PeasEngine* self,
      PeasPluginInfo* info,
      gpointer user_data
    )

#### Description [src]

The load-plugin signal is emitted when a plugin is being loaded.

The plugin is being loaded in the default handler. Hence, if you want to perform some action before the plugin is loaded, you should use `g_signal_connect()`, but if you want to perform some action after the plugin is loaded (the most common case), you should use `g_signal_connect_after()`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`info`

  Type: `PeasPluginInfo`

  A `PeasPluginInfo`.

  The data is owned by the caller of the function.